/* Colors */
/* Shadows */
/* Breakpoints */
/* Layout Dimensions */
div#header-container {
  display: block;
  z-index: 50;
  top: 0;
  width: 100%;
  margin: auto;
  margin-top: 0;
  /* background: rgb(239, 248, 255); */
  background: white;
}

div#header-container.sticky {
  position: -webkit-sticky;
  position: sticky;
  -webkit-transition: -webkit-box-shadow 0.25s linear;
  transition: -webkit-box-shadow 0.25s linear;
  transition: box-shadow 0.25s linear;
  transition: box-shadow 0.25s linear, -webkit-box-shadow 0.25s linear;
}

div#header-container.sticky.outline {
  -webkit-box-shadow: 0px 1px 4px rgba(0, 0, 0, 0.2);
          box-shadow: 0px 1px 4px rgba(0, 0, 0, 0.2);
}

div#header {
  position: relative;
  display: block;
  top: 0;
  height: 60px;
  margin-right: 52px;
  margin-left: 52px;
}

div#header > div {
  height: 100%;
  display: inline-block;
}

div#header .left {
  position: relative;
}

div#header .right {
  margin-left: 1.2em;
  position: absolute;
  right: 0;
}

a.title {
  display: inline-block;
  font-family: "Playfair Display", serif;
  font-size: 1.41em;
}

div.header-item {
  font-size: 14px;
  display: inline-block;
  position: relative;
  padding-left: 20px;
  padding-right: 20px;
  height: 100%;
}

div.header-item > a {
  display: inline-block;
  position: relative;
  top: 50%;
  -webkit-transform: translate(0, -50%);
          transform: translate(0, -50%);
}

div.header-item img {
  vertical-align: middle;
  width: 28px;
  height: 28px;
}

div.header-item div.transient-notifications {
  position: absolute;
  display: none;
  width: 350px;
  max-height: 387px;
  overflow: scroll;
  background-color: white;
  -webkit-box-shadow: 0px 2px 2px rgba(0, 0, 0, 0.2);
          box-shadow: 0px 2px 2px rgba(0, 0, 0, 0.2);
  z-index: 100;
}

div.header-item div.dropdown, div.header-item div.transient-notifications {
  width: 350px;
  top: 60px;
  right: 0;
}

div.header-item div.dropdown a div.dot, div.header-item div.transient-notifications a div.dot {
  background: red;
  width: 8px;
  height: 8px;
  position: absolute;
  top: 24px;
  right: 22px;
  border-radius: 4px;
}

div.header-item div.dropdown div.empty, div.header-item div.transient-notifications div.empty {
  display: block;
  position: relative;
  padding: 20px 21px;
}

div.header-item div.dropdown div.notification-header, div.header-item div.transient-notifications div.notification-header {
  display: block;
  position: relative;
}

div.header-item div.dropdown div.notification-header *, div.header-item div.transient-notifications div.notification-header * {
  display: inline-block;
}

div.header-item div.dropdown div.notification-header *.title, div.header-item div.transient-notifications div.notification-header *.title {
  font-weight: bold;
  padding: 11px 21px;
}

div.header-item div.dropdown div.notification-header *.clearall, div.header-item div.transient-notifications div.notification-header *.clearall {
  position: absolute;
  right: 0;
}

div.header-item div.dropdown.loggedInUser, div.header-item div.transient-notifications.loggedInUser {
  min-width: 130px;
  width: 100%;
}

div.header-item div.dropdown.loggedInUser a, div.header-item div.transient-notifications.loggedInUser a {
  text-align: right;
  padding: 20px 21px;
}

div.header-item div.dropdown.shown, div.header-item div.transient-notifications.shown {
  display: block;
}

div.header-item.hover {
  background-color: #f2f4f9;
}

div.header-item.hover .dropdown {
  display: block;
}

#transient-notifications {
  position: fixed;
  top: 24px;
  right: 24px;
  width: 350px;
  font-size: 14px;
  max-height: 387px;
  overflow: scroll;
  background-color: white;
  -webkit-box-shadow: 0px 2px 2px rgba(0, 0, 0, 0.2);
          box-shadow: 0px 2px 2px rgba(0, 0, 0, 0.2);
  z-index: 200;
  opacity: 0;
  -webkit-transform: translate(0, -30px);
          transform: translate(0, -30px);
  -webkit-transition: opacity 0.2s ease-in-out, -webkit-transform 0.2s ease-in-out;
  transition: opacity 0.2s ease-in-out, -webkit-transform 0.2s ease-in-out;
  transition: opacity 0.2s ease-in-out, transform 0.2s ease-in-out;
  transition: opacity 0.2s ease-in-out, transform 0.2s ease-in-out, -webkit-transform 0.2s ease-in-out;
}

#transient-notifications a {
  display: block;
  position: relative;
  padding: 11px 21px;
}

#transient-notifications a:hover {
  background-color: #f2f4f9;
}

#transient-notifications.shown {
  opacity: 1.0;
  -webkit-transform: none;
          transform: none;
}

.unread-count {
  font-family: "Quicksand", sans-serif;
  font-size: 12px;
  display: inline-block;
  background: red;
  color: white;
  border: 2px solid white;
  padding: 2px 8px;
  border-radius: 12px;
  position: absolute;
  top: 10px;
  right: 10px;
}

.header-item#loggedInUser img {
  margin-right: 1em;
}

@media all and (max-width: 1145px) {
  div#header-container {
    position: relative;
  }
}

@media all and (max-width: 700px) {
  div#header {
    margin-left: 32px;
    margin-right: 32px;
  }
  a.title {
    font-size: 1.2em;
  }
}
